Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ListMuterator Class Reference

`#include <coherence/util/ListMuterator.hpp>`

Inherits ListIterator, and Muterator.

Inherited by WrapperCollections::AbstractWrapperListIterator`[virtual]`.

List of all members.

## Detailed Description

Muterator is mutating iterator, that is it is capable of changing the list it iterates.

Author:
  mf 2008.05.05

## Public Types
typedef spec::Handle | Handle
| ListMuterator Handle definition.
typedef spec::View | View
| ListMuterator View definition.
typedef spec::Holder | Holder
| ListMuterator Holder definition.
## Public Member Functions
virtual void | add (Object::Holder oh)=0
| Insert the specified element immediately before the element to be returned from the next call to the next() method.
virtual void | set (Object::Holder oh)=0
| Replace the last element returned by next() or previous() with the specified element.

## Member Function Documentation

virtual void add | ( | Object::Holder | oh | ) | `[pure virtual]`

Insert the specified element immediately before the element to be returned from the next call to the next() method.

A subsequent call to next() will not return the added element, while a call to previous() would return the added element.

Parameters:

  | oh | the element to add

Exceptions:

  | UnsupportedOperationException | if addition is not supported

Implemented in WrapperCollections::AbstractWrapperListIterator.

virtual void set | ( | Object::Holder | oh | ) | `[pure virtual]`

Replace the last element returned by next() or previous() with the specified element.

Parameters:

  | oh | the element to store

Exceptions:

  | UnsupportedOperationException | if set is not supported

Implemented in WrapperCollections::AbstractWrapperListIterator.

The documentation for this class was generated from the following file:

- coherence/util/ListMuterator.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.